VisualEditor: Easy way to trigger a snowman and other corruption at fr.wp
Closed, ResolvedPublic

Description

Based on feedback and test by French Wikipedians, which we always thank.

An editor reported getting a snowman here https://fr.wikipedia.org/w/index.php?title=Lucien_Dayle&diff=next&oldid=105411841 when all he did was removing a comma (Chrome, Mac OS X).
I wasn't able to reproduce https://fr.wikipedia.org/w/index.php?title=Utilisateur%3AElitre_%28WMF%29%2FProve2&diff=105432197&oldid=105432184 .

Then another user created a sandbox with similar templates in it and I tested there as well; https://fr.wikipedia.org/w/index.php?title=Utilisateur%3AZebulon84%2FBrouillon&diff=105432505&oldid=105431985 the snowman showed up in the exact place where I had added a comma.

In another case instead https://fr.wikipedia.org/w/index.php?title=Utilisateur%3AZebulon84%2FBrouillon&diff=105432576&oldid=105432561 the letter "e" shows up where I had put the comma. The user had previously replaced the template {{e}} with <sup> tags (https://fr.wikipedia.org/w/index.php?title=Utilisateur:Zebulon84/Brouillon&diff=prev&oldid=105422272 ).


Version: unspecified
Severity: major

bzimport set Reference to bz67992.
Elitre created this task.Via LegacyJul 14 2014, 3:52 PM
Jdforrester-WMF added a comment.Via ConduitJul 26 2014, 2:26 AM

Comments from Erica on another bug:

I believe this is happening again at it.wp.
See https://it.wikipedia.org/w/index.php?title=AA.VV.&diff=prev&oldid=67188720 (snowmen) or https://it.wikipedia.org/w/index.php?title=Utente:Elitre_(WMF)/Pagina_delle_prove_VE&diff=next&oldid=67195802 (pawn).
What you need to reproduce: just create a base reference, add the template Cita, add something as its first parameter, then hit Space/type something else in the reference before saving.

More examples from it.wp: https://it.wikipedia.org/w/index.php?title=Natale_Ciravolo&diff=67212907&oldid=67197341 , https://it.wikipedia.org/w/index.php?title=Utente:Nnvu/Sandbox1&diff=prev&oldid=67108020 .

Whatamidoing-WMF added a comment.Via ConduitJul 28 2014, 5:26 PM

Note from Jay8g:

In this edit [https://en.wikipedia.org/w/index.php?title=Hong_Kong_International_Airport&diff=618742880&oldid=618629367], I got a snowman after rearranging (copy and paste) a sentence with {{convert}}. This did not show up in VE itself, and appeared in place of the comma that I had actually added (and that had displayed in VE).

This seems to be the same problem.

gerritbot added a comment.Via ConduitJul 28 2014, 6:52 PM

Change 149920 had a related patch set uploaded by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 12:49 AM

Change 149920 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

Jdforrester-WMF added a comment.Via ConduitJul 29 2014, 1:54 AM
  • Bug 68124 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJul 29 2014, 10:34 AM

Change 149920 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 2:51 PM

Change 150222 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150222

gerritbot added a comment.Via ConduitJul 29 2014, 2:51 PM

Change 150222 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150222

gerritbot added a comment.Via ConduitJul 29 2014, 2:58 PM

Change 150224 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 2:59 PM

Change 150224 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 3:01 PM

Change 150224 restored by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 3:02 PM

Change 150224 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

Reason:
I give up.

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 5:59 PM

Change 150274 had a related patch set uploaded by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150274

gerritbot added a comment.Via ConduitJul 29 2014, 6:32 PM

Change 150224 restored by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 6:36 PM

Change 150274 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150274

gerritbot added a comment.Via ConduitJul 29 2014, 6:36 PM

Change 150224 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

Jdforrester-WMF added a comment.Via ConduitJul 29 2014, 7:09 PM

Should be now fully fixed in master; deployment to production scheduled for 4 hours' time.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.